@import "colors.less";

body, html {
	position: fixed;
	overflow: hidden;
	overscroll-behavior: none;
}

body {
	margin: 0px;
	width: 100vw;
	height: 100vh;
	background-color: @black;
}

.ui-container {
	width: 100%;
	height: 100%;
	position: absolute;
	left: 0px;
	top: 0px;
	z-index: 20;
	overflow: hidden;

	> .right {
		position: absolute;
		right: 10px;
		top: 100px;
	}

	&.mobile {
		.uiTooltipInfo {
			display: none !important;
		}
	} 
}

.mobile .right {
	top: 0px;
	right: 0px;
	z-index: 2;
}

* {
	box-sizing: border-box;
	font-family: bitty;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.canvas-container {
	position: relative;
	float: left;

	&.visible {
		opacity: 1;
		transition: 1s;
	}

	canvas {
		left: 0px;
		top: 0px;
	}
}

.disabled {
	opacity: 0.4 !important;
	pointer-events: none !important;
}

[class^="ui"] {
	input, textarea {
		-webkit-user-select: text;
		-khtml-user-select: text;
		-moz-user-select: text;
		-ms-user-select: text;
		user-select: text;
	}

	.el {
		height: 35px;
		text-align: center;
		padding: 0px 0px 0px 0px;
		background-color: transparent;
	}

	.textbox {
		border: none;
		outline: none;
		font-size: 16px;
	}

	div.textbox {
		padding-top: 6px;
	}

	.button {
		cursor: pointer;
		padding-top: 10px;

		&:hover {
			background-color: lighten(@black, 10%);
		}
	}

	.spacer-h {
		width: 100%;
	}

	&.modal {
		.btnClose {
			position: absolute;
			background-color: @blackA;
			color: @orange;
			height: 31px;
			width: 31px;
			text-align: center;
			right: 0px;
			top: 0px;
			padding-top: 8px;
			padding-left: 2px
		}
	}
}

::-webkit-scrollbar {
    width: 16px;
}
::-webkit-scrollbar-track {
	background-color: @gray;
    -webkit-border-radius: 0px;
    border-radius: 0px;
}
::-webkit-scrollbar-thumb {
    -webkit-border-radius: 10px;
    border-radius: 0px;
    background: @lightGray; 
}


.q0 {
	color: @white;
}

.q1 {
	color: @greenB;
}

.q2 {
	color: @blueB;
}

.q3 {
	color: @purpleA;
}

.q4 {
	color: @orange;
}

.color-red {
	color: @red !important;
}

.color-redA {
	color: @redA !important;
}

.color-blueA {
	color: @blueA !important;
}
.color-blueB {
	color: @blueB !important;
}

.color-greenB {
	color: @greenB !important;
}

.color-yellowB {
	color: @yellowB !important;
}

.color-green {
	color: @green !important;
}

.color-brownC {
	color: @brownC !important;
}
.color-brownD {
	color: @brownD !important;
}

.color-grayA {
	color: @white !important;
}
.color-grayB {
	color: @grayB !important;
}
.color-grayC {
	color: @grayC !important;
}
.color-grayD {
	color: @grayD !important;
}

.color-pinkA {
	color: @pinkA !important;	
}
.color-pinkB {
	color: @pinkB !important;	
}

.color-purpleA {
	color: @purpleA !important;
}
